//===========================================================================
// package
//===========================================================================
package jp.gr.java_conf.bugslife.form;

//===========================================================================
// import
//===========================================================================
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.validator.ValidatorForm;
import java.io.UnsupportedEncodingException;

import jp.gr.java_conf.bugslife.util.*;

/**
 *<PRE>
 * SelectionListFormクラス
 *
 *</PRE>
 * @author 鰐川　正寛
 * @version 1.0.0
 */
public class SelectionListForm extends ValidatorForm {
//===========================================================================
// attributes
//===========================================================================
	/**
	 * アクション
	 */
	private String m_action;
	/**
	 * TableName
	 */
	private String m_tableName;
	/**
	 * Code
	 */
	private String m_code;
//===========================================================================
// methods
//===========================================================================
	/**
	 * アクションのセット
	 * 
	 * @param action アクション
	 */
	public void setAction(String action) {
		m_action = action;
	}
	/**
	 * アクションの取得
	 * 
	 * @return アクション
	 */
	public String getAction() {
		return m_action;
	}
	/**
	 * TableNameのセット
	 * 
	 * @param t TableName
	 */
	public void setT(String t) {
		m_tableName = t;
	}
	/**
	 * TableNameの取得
	 * 
	 * @return t
	 */
	public String getT() {
		return m_tableName;
	}
	/**
	 * TableNameの取得
	 * 
	 * @return t
	 */
	public String getTableName() {
		return m_tableName;
	}
	/**
	 * コードの取得
	 * 
	 * @return コード
	 */
	public String getCode()
	{
		return m_code;
	}
	/**
	 * コードのセット
	 * 
	 * @param code コード
	 */
	public void setCode(String code)
	{
		m_code = code;
	}
//===========================================================================
// Public Methods
//===========================================================================
	/**
	* リセット
	*
	* @param mapping The mapping used to select this instance
	* @param request The servlet request we are processing
	*/
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		
		//debug
		debug("reset");
		//encodeing セット
		try {
			request.setCharacterEncoding("SJIS");
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		
		
		m_action = null;
		m_tableName = null;
		m_code = null;
	}
	/**
	* 値の検証(Validate) 
	*
	* @param mapping The mapping used to select this instance
	* @param request The servlet request we are processing
	*/
	public ActionErrors validate(ActionMapping mapping,
								 HttpServletRequest request) {
		//debug
		debug("validate");
		
		ActionErrors errors = new ActionErrors();
		
		//action
		Varidater.checkRequired(m_action, "action", errors);
		
		return errors;
	}
//===========================================================================
// Debgging Methods
//===========================================================================
	/**
	 * 文字列化
	 *
	 * @return 文字列
	 */
	public String toString() {
		
		StringBuffer sb = new StringBuffer();
		sb.append("--- [SELECTIONLISTFORM] --- \n");
		sb.append("action   :"  + m_action + "\n");
		sb.append("tableName:"  + m_tableName + "\n");
		sb.append("code     :"  + m_code + "\n");
		sb.append("--- [SELECTIONLISTFORM] --- \n");
		return new String(sb);
	}
	/**
	 * デバッグ文字出力
	 *
	 * @param s 出力文字列
	 */
	private void debug(String s) {
		System.out.println("[SelectionListForm]" + s);
	}
}